// Code generated by protoc-gen-go. DO NOT EDIT.
// source: shared/process_engine/proto/process_engine.proto

package process_engine_proto

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type TokenRequest struct {
	TokenID              string   `protobuf:"bytes,1,opt,name=tokenID,proto3" json:"tokenID,omitempty"`
	Document             string   `protobuf:"bytes,2,opt,name=document,proto3" json:"document,omitempty"`
	Doctype              string   `protobuf:"bytes,3,opt,name=doctype,proto3" json:"doctype,omitempty"`
	ProcessID            string   `protobuf:"bytes,4,opt,name=processID,proto3" json:"processID,omitempty"`
	Queue                string   `protobuf:"bytes,5,opt,name=queue,proto3" json:"queue,omitempty"`
	Execution            string   `protobuf:"bytes,6,opt,name=execution,proto3" json:"execution,omitempty"`
	User                 string   `protobuf:"bytes,7,opt,name=user,proto3" json:"user,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TokenRequest) Reset()         { *m = TokenRequest{} }
func (m *TokenRequest) String() string { return proto.CompactTextString(m) }
func (*TokenRequest) ProtoMessage()    {}
func (*TokenRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{0}
}

func (m *TokenRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TokenRequest.Unmarshal(m, b)
}
func (m *TokenRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TokenRequest.Marshal(b, m, deterministic)
}
func (m *TokenRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TokenRequest.Merge(m, src)
}
func (m *TokenRequest) XXX_Size() int {
	return xxx_messageInfo_TokenRequest.Size(m)
}
func (m *TokenRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_TokenRequest.DiscardUnknown(m)
}

var xxx_messageInfo_TokenRequest proto.InternalMessageInfo

func (m *TokenRequest) GetTokenID() string {
	if m != nil {
		return m.TokenID
	}
	return ""
}

func (m *TokenRequest) GetDocument() string {
	if m != nil {
		return m.Document
	}
	return ""
}

func (m *TokenRequest) GetDoctype() string {
	if m != nil {
		return m.Doctype
	}
	return ""
}

func (m *TokenRequest) GetProcessID() string {
	if m != nil {
		return m.ProcessID
	}
	return ""
}

func (m *TokenRequest) GetQueue() string {
	if m != nil {
		return m.Queue
	}
	return ""
}

func (m *TokenRequest) GetExecution() string {
	if m != nil {
		return m.Execution
	}
	return ""
}

func (m *TokenRequest) GetUser() string {
	if m != nil {
		return m.User
	}
	return ""
}

type TokenResponse struct {
	TokenID              string   `protobuf:"bytes,1,opt,name=tokenID,proto3" json:"tokenID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TokenResponse) Reset()         { *m = TokenResponse{} }
func (m *TokenResponse) String() string { return proto.CompactTextString(m) }
func (*TokenResponse) ProtoMessage()    {}
func (*TokenResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{1}
}

func (m *TokenResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TokenResponse.Unmarshal(m, b)
}
func (m *TokenResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TokenResponse.Marshal(b, m, deterministic)
}
func (m *TokenResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TokenResponse.Merge(m, src)
}
func (m *TokenResponse) XXX_Size() int {
	return xxx_messageInfo_TokenResponse.Size(m)
}
func (m *TokenResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_TokenResponse.DiscardUnknown(m)
}

var xxx_messageInfo_TokenResponse proto.InternalMessageInfo

func (m *TokenResponse) GetTokenID() string {
	if m != nil {
		return m.TokenID
	}
	return ""
}

type Request struct {
	Data                 *TokenRequest `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	Token                string        `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *Request) Reset()         { *m = Request{} }
func (m *Request) String() string { return proto.CompactTextString(m) }
func (*Request) ProtoMessage()    {}
func (*Request) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{2}
}

func (m *Request) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Request.Unmarshal(m, b)
}
func (m *Request) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Request.Marshal(b, m, deterministic)
}
func (m *Request) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Request.Merge(m, src)
}
func (m *Request) XXX_Size() int {
	return xxx_messageInfo_Request.Size(m)
}
func (m *Request) XXX_DiscardUnknown() {
	xxx_messageInfo_Request.DiscardUnknown(m)
}

var xxx_messageInfo_Request proto.InternalMessageInfo

func (m *Request) GetData() *TokenRequest {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *Request) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

type Response struct {
	Error                bool           `protobuf:"varint,1,opt,name=error,proto3" json:"error,omitempty"`
	Data                 *TokenResponse `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	Code                 int32          `protobuf:"varint,3,opt,name=code,proto3" json:"code,omitempty"`
	Type                 string         `protobuf:"bytes,4,opt,name=type,proto3" json:"type,omitempty"`
	Msg                  string         `protobuf:"bytes,5,opt,name=msg,proto3" json:"msg,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *Response) Reset()         { *m = Response{} }
func (m *Response) String() string { return proto.CompactTextString(m) }
func (*Response) ProtoMessage()    {}
func (*Response) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{3}
}

func (m *Response) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Response.Unmarshal(m, b)
}
func (m *Response) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Response.Marshal(b, m, deterministic)
}
func (m *Response) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Response.Merge(m, src)
}
func (m *Response) XXX_Size() int {
	return xxx_messageInfo_Response.Size(m)
}
func (m *Response) XXX_DiscardUnknown() {
	xxx_messageInfo_Response.DiscardUnknown(m)
}

var xxx_messageInfo_Response proto.InternalMessageInfo

func (m *Response) GetError() bool {
	if m != nil {
		return m.Error
	}
	return false
}

func (m *Response) GetData() *TokenResponse {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *Response) GetCode() int32 {
	if m != nil {
		return m.Code
	}
	return 0
}

func (m *Response) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *Response) GetMsg() string {
	if m != nil {
		return m.Msg
	}
	return ""
}

type ResponseProcessUser struct {
	Error                bool     `protobuf:"varint,1,opt,name=error,proto3" json:"error,omitempty"`
	Data                 []byte   `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	Code                 int32    `protobuf:"varint,3,opt,name=code,proto3" json:"code,omitempty"`
	Type                 string   `protobuf:"bytes,4,opt,name=type,proto3" json:"type,omitempty"`
	Msg                  string   `protobuf:"bytes,5,opt,name=msg,proto3" json:"msg,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResponseProcessUser) Reset()         { *m = ResponseProcessUser{} }
func (m *ResponseProcessUser) String() string { return proto.CompactTextString(m) }
func (*ResponseProcessUser) ProtoMessage()    {}
func (*ResponseProcessUser) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{4}
}

func (m *ResponseProcessUser) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResponseProcessUser.Unmarshal(m, b)
}
func (m *ResponseProcessUser) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResponseProcessUser.Marshal(b, m, deterministic)
}
func (m *ResponseProcessUser) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResponseProcessUser.Merge(m, src)
}
func (m *ResponseProcessUser) XXX_Size() int {
	return xxx_messageInfo_ResponseProcessUser.Size(m)
}
func (m *ResponseProcessUser) XXX_DiscardUnknown() {
	xxx_messageInfo_ResponseProcessUser.DiscardUnknown(m)
}

var xxx_messageInfo_ResponseProcessUser proto.InternalMessageInfo

func (m *ResponseProcessUser) GetError() bool {
	if m != nil {
		return m.Error
	}
	return false
}

func (m *ResponseProcessUser) GetData() []byte {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *ResponseProcessUser) GetCode() int32 {
	if m != nil {
		return m.Code
	}
	return 0
}

func (m *ResponseProcessUser) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *ResponseProcessUser) GetMsg() string {
	if m != nil {
		return m.Msg
	}
	return ""
}

type RuleEngine struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	User                 string   `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
	Document             string   `protobuf:"bytes,3,opt,name=document,proto3" json:"document,omitempty"`
	Doctype              string   `protobuf:"bytes,4,opt,name=doctype,proto3" json:"doctype,omitempty"`
	Process              string   `protobuf:"bytes,5,opt,name=process,proto3" json:"process,omitempty"`
	ProcessName          string   `protobuf:"bytes,6,opt,name=process_name,json=processName,proto3" json:"process_name,omitempty"`
	Queue                string   `protobuf:"bytes,7,opt,name=queue,proto3" json:"queue,omitempty"`
	Execution            string   `protobuf:"bytes,8,opt,name=execution,proto3" json:"execution,omitempty"`
	UsersBalance         []string `protobuf:"bytes,9,rep,name=users_balance,json=usersBalance,proto3" json:"users_balance,omitempty"`
	IsRemove             bool     `protobuf:"varint,10,opt,name=is_remove,json=isRemove,proto3" json:"is_remove,omitempty"`
	IsTransit            bool     `protobuf:"varint,11,opt,name=is_transit,json=isTransit,proto3" json:"is_transit,omitempty"`
	NewQueues            []string `protobuf:"bytes,12,rep,name=new_queues,json=newQueues,proto3" json:"new_queues,omitempty"`
	InputMessage         bool     `protobuf:"varint,13,opt,name=input_message,json=inputMessage,proto3" json:"input_message,omitempty"`
	Response             string   `protobuf:"bytes,14,opt,name=response,proto3" json:"response,omitempty"`
	IsCompleted          bool     `protobuf:"varint,15,opt,name=is_completed,json=isCompleted,proto3" json:"is_completed,omitempty"`
	QueueInCompleted     string   `protobuf:"bytes,16,opt,name=queue_in_completed,json=queueInCompleted,proto3" json:"queue_in_completed,omitempty"`
	ExecutionInCompleted string   `protobuf:"bytes,17,opt,name=execution_in_completed,json=executionInCompleted,proto3" json:"execution_in_completed,omitempty"`
	RuleInCompleted      int32    `protobuf:"varint,18,opt,name=rule_in_completed,json=ruleInCompleted,proto3" json:"rule_in_completed,omitempty"`
	Rules                []*Rule  `protobuf:"bytes,19,rep,name=rules,proto3" json:"rules,omitempty"`
	IdExecution          string   `protobuf:"bytes,20,opt,name=id_execution,json=idExecution,proto3" json:"id_execution,omitempty"`
	NewPriority          int32    `protobuf:"varint,21,opt,name=new_priority,json=newPriority,proto3" json:"new_priority,omitempty"`
	ExecutionMain        string   `protobuf:"bytes,22,opt,name=execution_main,json=executionMain,proto3" json:"execution_main,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RuleEngine) Reset()         { *m = RuleEngine{} }
func (m *RuleEngine) String() string { return proto.CompactTextString(m) }
func (*RuleEngine) ProtoMessage()    {}
func (*RuleEngine) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{5}
}

func (m *RuleEngine) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RuleEngine.Unmarshal(m, b)
}
func (m *RuleEngine) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RuleEngine.Marshal(b, m, deterministic)
}
func (m *RuleEngine) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RuleEngine.Merge(m, src)
}
func (m *RuleEngine) XXX_Size() int {
	return xxx_messageInfo_RuleEngine.Size(m)
}
func (m *RuleEngine) XXX_DiscardUnknown() {
	xxx_messageInfo_RuleEngine.DiscardUnknown(m)
}

var xxx_messageInfo_RuleEngine proto.InternalMessageInfo

func (m *RuleEngine) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *RuleEngine) GetUser() string {
	if m != nil {
		return m.User
	}
	return ""
}

func (m *RuleEngine) GetDocument() string {
	if m != nil {
		return m.Document
	}
	return ""
}

func (m *RuleEngine) GetDoctype() string {
	if m != nil {
		return m.Doctype
	}
	return ""
}

func (m *RuleEngine) GetProcess() string {
	if m != nil {
		return m.Process
	}
	return ""
}

func (m *RuleEngine) GetProcessName() string {
	if m != nil {
		return m.ProcessName
	}
	return ""
}

func (m *RuleEngine) GetQueue() string {
	if m != nil {
		return m.Queue
	}
	return ""
}

func (m *RuleEngine) GetExecution() string {
	if m != nil {
		return m.Execution
	}
	return ""
}

func (m *RuleEngine) GetUsersBalance() []string {
	if m != nil {
		return m.UsersBalance
	}
	return nil
}

func (m *RuleEngine) GetIsRemove() bool {
	if m != nil {
		return m.IsRemove
	}
	return false
}

func (m *RuleEngine) GetIsTransit() bool {
	if m != nil {
		return m.IsTransit
	}
	return false
}

func (m *RuleEngine) GetNewQueues() []string {
	if m != nil {
		return m.NewQueues
	}
	return nil
}

func (m *RuleEngine) GetInputMessage() bool {
	if m != nil {
		return m.InputMessage
	}
	return false
}

func (m *RuleEngine) GetResponse() string {
	if m != nil {
		return m.Response
	}
	return ""
}

func (m *RuleEngine) GetIsCompleted() bool {
	if m != nil {
		return m.IsCompleted
	}
	return false
}

func (m *RuleEngine) GetQueueInCompleted() string {
	if m != nil {
		return m.QueueInCompleted
	}
	return ""
}

func (m *RuleEngine) GetExecutionInCompleted() string {
	if m != nil {
		return m.ExecutionInCompleted
	}
	return ""
}

func (m *RuleEngine) GetRuleInCompleted() int32 {
	if m != nil {
		return m.RuleInCompleted
	}
	return 0
}

func (m *RuleEngine) GetRules() []*Rule {
	if m != nil {
		return m.Rules
	}
	return nil
}

func (m *RuleEngine) GetIdExecution() string {
	if m != nil {
		return m.IdExecution
	}
	return ""
}

func (m *RuleEngine) GetNewPriority() int32 {
	if m != nil {
		return m.NewPriority
	}
	return 0
}

func (m *RuleEngine) GetExecutionMain() string {
	if m != nil {
		return m.ExecutionMain
	}
	return ""
}

type Rule struct {
	Id                   int32    `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	ChildTrue            int32    `protobuf:"varint,3,opt,name=child_true,json=childTrue,proto3" json:"child_true,omitempty"`
	ChildFalse           int32    `protobuf:"varint,4,opt,name=child_false,json=childFalse,proto3" json:"child_false,omitempty"`
	Params               []*Param `protobuf:"bytes,5,rep,name=params,proto3" json:"params,omitempty"`
	Action               string   `protobuf:"bytes,6,opt,name=action,proto3" json:"action,omitempty"`
	ItemtypeId           int32    `protobuf:"varint,7,opt,name=itemtype_id,json=itemtypeId,proto3" json:"itemtype_id,omitempty"`
	First                int32    `protobuf:"varint,8,opt,name=first,proto3" json:"first,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Rule) Reset()         { *m = Rule{} }
func (m *Rule) String() string { return proto.CompactTextString(m) }
func (*Rule) ProtoMessage()    {}
func (*Rule) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{6}
}

func (m *Rule) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Rule.Unmarshal(m, b)
}
func (m *Rule) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Rule.Marshal(b, m, deterministic)
}
func (m *Rule) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Rule.Merge(m, src)
}
func (m *Rule) XXX_Size() int {
	return xxx_messageInfo_Rule.Size(m)
}
func (m *Rule) XXX_DiscardUnknown() {
	xxx_messageInfo_Rule.DiscardUnknown(m)
}

var xxx_messageInfo_Rule proto.InternalMessageInfo

func (m *Rule) GetId() int32 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *Rule) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Rule) GetChildTrue() int32 {
	if m != nil {
		return m.ChildTrue
	}
	return 0
}

func (m *Rule) GetChildFalse() int32 {
	if m != nil {
		return m.ChildFalse
	}
	return 0
}

func (m *Rule) GetParams() []*Param {
	if m != nil {
		return m.Params
	}
	return nil
}

func (m *Rule) GetAction() string {
	if m != nil {
		return m.Action
	}
	return ""
}

func (m *Rule) GetItemtypeId() int32 {
	if m != nil {
		return m.ItemtypeId
	}
	return 0
}

func (m *Rule) GetFirst() int32 {
	if m != nil {
		return m.First
	}
	return 0
}

type Param struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Value                string   `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Param) Reset()         { *m = Param{} }
func (m *Param) String() string { return proto.CompactTextString(m) }
func (*Param) ProtoMessage()    {}
func (*Param) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{7}
}

func (m *Param) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Param.Unmarshal(m, b)
}
func (m *Param) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Param.Marshal(b, m, deterministic)
}
func (m *Param) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Param.Merge(m, src)
}
func (m *Param) XXX_Size() int {
	return xxx_messageInfo_Param.Size(m)
}
func (m *Param) XXX_DiscardUnknown() {
	xxx_messageInfo_Param.DiscardUnknown(m)
}

var xxx_messageInfo_Param proto.InternalMessageInfo

func (m *Param) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Param) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

type RequestRule struct {
	Data                 *RuleEngine `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	Token                string      `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *RequestRule) Reset()         { *m = RequestRule{} }
func (m *RequestRule) String() string { return proto.CompactTextString(m) }
func (*RequestRule) ProtoMessage()    {}
func (*RequestRule) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{8}
}

func (m *RequestRule) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RequestRule.Unmarshal(m, b)
}
func (m *RequestRule) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RequestRule.Marshal(b, m, deterministic)
}
func (m *RequestRule) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RequestRule.Merge(m, src)
}
func (m *RequestRule) XXX_Size() int {
	return xxx_messageInfo_RequestRule.Size(m)
}
func (m *RequestRule) XXX_DiscardUnknown() {
	xxx_messageInfo_RequestRule.DiscardUnknown(m)
}

var xxx_messageInfo_RequestRule proto.InternalMessageInfo

func (m *RequestRule) GetData() *RuleEngine {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *RequestRule) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

type ResponseRule struct {
	Error                bool        `protobuf:"varint,1,opt,name=error,proto3" json:"error,omitempty"`
	Data                 *RuleEngine `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	Code                 int32       `protobuf:"varint,3,opt,name=code,proto3" json:"code,omitempty"`
	Type                 string      `protobuf:"bytes,4,opt,name=type,proto3" json:"type,omitempty"`
	Msg                  string      `protobuf:"bytes,5,opt,name=msg,proto3" json:"msg,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *ResponseRule) Reset()         { *m = ResponseRule{} }
func (m *ResponseRule) String() string { return proto.CompactTextString(m) }
func (*ResponseRule) ProtoMessage()    {}
func (*ResponseRule) Descriptor() ([]byte, []int) {
	return fileDescriptor_4a63ea9914beac3f, []int{9}
}

func (m *ResponseRule) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResponseRule.Unmarshal(m, b)
}
func (m *ResponseRule) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResponseRule.Marshal(b, m, deterministic)
}
func (m *ResponseRule) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResponseRule.Merge(m, src)
}
func (m *ResponseRule) XXX_Size() int {
	return xxx_messageInfo_ResponseRule.Size(m)
}
func (m *ResponseRule) XXX_DiscardUnknown() {
	xxx_messageInfo_ResponseRule.DiscardUnknown(m)
}

var xxx_messageInfo_ResponseRule proto.InternalMessageInfo

func (m *ResponseRule) GetError() bool {
	if m != nil {
		return m.Error
	}
	return false
}

func (m *ResponseRule) GetData() *RuleEngine {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *ResponseRule) GetCode() int32 {
	if m != nil {
		return m.Code
	}
	return 0
}

func (m *ResponseRule) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *ResponseRule) GetMsg() string {
	if m != nil {
		return m.Msg
	}
	return ""
}

func init() {
	proto.RegisterType((*TokenRequest)(nil), "process_engine_proto.TokenRequest")
	proto.RegisterType((*TokenResponse)(nil), "process_engine_proto.TokenResponse")
	proto.RegisterType((*Request)(nil), "process_engine_proto.Request")
	proto.RegisterType((*Response)(nil), "process_engine_proto.Response")
	proto.RegisterType((*ResponseProcessUser)(nil), "process_engine_proto.ResponseProcessUser")
	proto.RegisterType((*RuleEngine)(nil), "process_engine_proto.RuleEngine")
	proto.RegisterType((*Rule)(nil), "process_engine_proto.Rule")
	proto.RegisterType((*Param)(nil), "process_engine_proto.Param")
	proto.RegisterType((*RequestRule)(nil), "process_engine_proto.RequestRule")
	proto.RegisterType((*ResponseRule)(nil), "process_engine_proto.ResponseRule")
}

func init() {
	proto.RegisterFile("shared/process_engine/proto/process_engine.proto", fileDescriptor_4a63ea9914beac3f)
}

var fileDescriptor_4a63ea9914beac3f = []byte{
	// 925 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x56, 0x5f, 0x6f, 0x1b, 0x45,
	0x10, 0x8f, 0xff, 0x5c, 0x6c, 0x8f, 0xed, 0x34, 0xdd, 0xb8, 0xd6, 0x2a, 0xa5, 0x90, 0x5c, 0x85,
	0x94, 0x22, 0x14, 0x4a, 0x1a, 0xc1, 0x7b, 0x48, 0xa9, 0x8c, 0x54, 0x48, 0xaf, 0x41, 0x15, 0xf0,
	0x70, 0xba, 0xde, 0x4d, 0xd3, 0x55, 0x7d, 0x77, 0xee, 0xee, 0x5e, 0x42, 0x3e, 0x07, 0x7c, 0x24,
	0x9e, 0xf8, 0x28, 0x3c, 0xf0, 0x19, 0xd0, 0xce, 0xee, 0x9d, 0xcf, 0x91, 0x6d, 0x10, 0xcd, 0x53,
	0x6e, 0x7e, 0xb3, 0x3b, 0xbf, 0x99, 0xdf, 0xcc, 0x8e, 0x03, 0x8f, 0xd5, 0xdb, 0x48, 0x62, 0xf2,
	0xc5, 0x4c, 0xe6, 0x31, 0x2a, 0x15, 0x62, 0x76, 0x21, 0x32, 0x34, 0xa6, 0xce, 0x6f, 0x80, 0x87,
	0x04, 0xb2, 0xd1, 0x22, 0x1a, 0x12, 0xea, 0xff, 0xd1, 0x80, 0xc1, 0x79, 0xfe, 0x0e, 0xb3, 0x00,
	0xdf, 0x17, 0xa8, 0x34, 0xe3, 0xd0, 0xd1, 0xc6, 0x9e, 0x9c, 0xf2, 0xc6, 0x5e, 0xe3, 0xa0, 0x17,
	0x94, 0x26, 0xdb, 0x85, 0x6e, 0x92, 0xc7, 0x45, 0x8a, 0x99, 0xe6, 0x4d, 0x72, 0x55, 0xb6, 0xb9,
	0x95, 0xe4, 0xb1, 0xbe, 0x9e, 0x21, 0x6f, 0xd9, 0x5b, 0xce, 0x64, 0x1f, 0x41, 0xcf, 0x11, 0x4f,
	0x4e, 0x79, 0x9b, 0x7c, 0x73, 0x80, 0x8d, 0xc0, 0x7b, 0x5f, 0x60, 0x81, 0xdc, 0x23, 0x8f, 0x35,
	0xcc, 0x1d, 0xfc, 0x15, 0xe3, 0x42, 0x8b, 0x3c, 0xe3, 0x9b, 0xf6, 0x4e, 0x05, 0x30, 0x06, 0xed,
	0x42, 0xa1, 0xe4, 0x1d, 0x72, 0xd0, 0xb7, 0xff, 0x08, 0x86, 0xae, 0x0a, 0x35, 0xcb, 0x33, 0x85,
	0xab, 0xcb, 0xf0, 0x5f, 0x41, 0xa7, 0xac, 0xf5, 0x2b, 0x68, 0x27, 0x91, 0x8e, 0xe8, 0x44, 0xff,
	0xc8, 0x3f, 0x5c, 0xa6, 0xd0, 0x61, 0x5d, 0x9d, 0x80, 0xce, 0x9b, 0xac, 0x29, 0x9a, 0x93, 0xc1,
	0x1a, 0xfe, 0x6f, 0x0d, 0xe8, 0x56, 0xfc, 0x23, 0xf0, 0x50, 0xca, 0x5c, 0x52, 0xec, 0x6e, 0x60,
	0x0d, 0xf6, 0xb5, 0x23, 0x6c, 0x12, 0xe1, 0xc3, 0xb5, 0x84, 0x36, 0x90, 0x63, 0x64, 0xd0, 0x8e,
	0xf3, 0xc4, 0x8a, 0xeb, 0x05, 0xf4, 0x6d, 0x30, 0x12, 0xdc, 0x8a, 0x4a, 0xdf, 0x6c, 0x1b, 0x5a,
	0xa9, 0xba, 0x70, 0x6a, 0x9a, 0x4f, 0xff, 0x1a, 0x76, 0xca, 0x58, 0x67, 0x96, 0xed, 0x47, 0x85,
	0x72, 0x45, 0x7e, 0xac, 0x96, 0xdf, 0xe0, 0x83, 0xa9, 0xff, 0xf2, 0x00, 0x82, 0x62, 0x8a, 0x4f,
	0xa9, 0x3a, 0xb6, 0x05, 0x4d, 0x91, 0xb8, 0x6e, 0x34, 0x45, 0x52, 0xf5, 0xb1, 0x39, 0xef, 0xe3,
	0xc2, 0x8c, 0xb5, 0x56, 0xcf, 0x58, 0x7b, 0x71, 0xc6, 0x38, 0x74, 0x9c, 0x92, 0x8e, 0xbe, 0x34,
	0xd9, 0x3e, 0x0c, 0x4a, 0x8d, 0xb3, 0x28, 0x45, 0x37, 0x4c, 0x7d, 0x87, 0x7d, 0x1f, 0xa5, 0x38,
	0x1f, 0xc1, 0xce, 0xca, 0x11, 0xec, 0xde, 0x1c, 0xc1, 0x87, 0x30, 0x34, 0xe9, 0xaa, 0xf0, 0x75,
	0x34, 0x8d, 0xb2, 0x18, 0x79, 0x6f, 0xaf, 0x75, 0xd0, 0x0b, 0x06, 0x04, 0x9e, 0x58, 0x8c, 0xdd,
	0x87, 0x9e, 0x50, 0xa1, 0xc4, 0x34, 0xbf, 0x44, 0x0e, 0x24, 0x73, 0x57, 0xa8, 0x80, 0x6c, 0xf6,
	0x00, 0x40, 0xa8, 0x50, 0xcb, 0x28, 0x53, 0x42, 0xf3, 0x3e, 0x79, 0x7b, 0x42, 0x9d, 0x5b, 0xc0,
	0xb8, 0x33, 0xbc, 0x0a, 0x29, 0x17, 0xc5, 0x07, 0x14, 0xbd, 0x97, 0xe1, 0xd5, 0x0b, 0x02, 0x0c,
	0xbf, 0xc8, 0x66, 0x85, 0x0e, 0x53, 0x54, 0x2a, 0xba, 0x40, 0x3e, 0xa4, 0x00, 0x03, 0x02, 0x9f,
	0x5b, 0xcc, 0x68, 0x29, 0x5d, 0xe7, 0xf9, 0x96, 0xd5, 0xb2, 0xb4, 0x8d, 0x2e, 0x42, 0x85, 0x71,
	0x9e, 0xce, 0xa6, 0xa8, 0x31, 0xe1, 0x77, 0xe8, 0x7e, 0x5f, 0xa8, 0x6f, 0x4a, 0x88, 0x7d, 0x0e,
	0x8c, 0xe8, 0x43, 0x91, 0xd5, 0x0e, 0x6e, 0x53, 0xa0, 0x6d, 0xf2, 0x4c, 0xb2, 0xf9, 0xe9, 0x63,
	0x18, 0x57, 0xf2, 0x2c, 0xde, 0xb8, 0x4b, 0x37, 0x46, 0x95, 0xb7, 0x7e, 0xeb, 0x33, 0xb8, 0x2b,
	0x8b, 0xe9, 0x0d, 0x0a, 0x46, 0x83, 0x76, 0xc7, 0x38, 0xea, 0x67, 0x1f, 0x83, 0x67, 0x20, 0xc5,
	0x77, 0xf6, 0x5a, 0x07, 0xfd, 0xa3, 0xdd, 0xe5, 0x8f, 0xc7, 0xcc, 0x5b, 0x60, 0x0f, 0x52, 0x91,
	0x49, 0x38, 0x6f, 0xe3, 0xc8, 0x36, 0x5f, 0x24, 0x4f, 0xab, 0x46, 0xee, 0xc3, 0xc0, 0xe8, 0x3c,
	0x93, 0x22, 0x97, 0x42, 0x5f, 0xf3, 0x7b, 0xc4, 0xdd, 0xcf, 0xf0, 0xea, 0xcc, 0x41, 0xec, 0x53,
	0xd8, 0x9a, 0x57, 0x96, 0x46, 0x22, 0xe3, 0x63, 0x8a, 0x33, 0xac, 0xd0, 0xe7, 0x91, 0xc8, 0xfc,
	0xbf, 0x1b, 0xd0, 0x36, 0xe4, 0xb5, 0x31, 0xf7, 0xca, 0x31, 0xa7, 0xd1, 0x73, 0x63, 0x6e, 0xbe,
	0x4d, 0x7b, 0xe3, 0xb7, 0x62, 0x9a, 0x84, 0x5a, 0x16, 0xe5, 0xcb, 0xea, 0x11, 0x72, 0x2e, 0x0b,
	0x64, 0x9f, 0x40, 0xdf, 0xba, 0xdf, 0x44, 0x53, 0x65, 0xa7, 0xdd, 0x0b, 0xec, 0x8d, 0x6f, 0x0d,
	0xc2, 0x9e, 0xc0, 0xe6, 0x2c, 0x92, 0x51, 0x6a, 0xe6, 0xdd, 0x88, 0x71, 0x7f, 0xb9, 0x18, 0x67,
	0xe6, 0x4c, 0xe0, 0x8e, 0xb2, 0x31, 0x6c, 0x46, 0x71, 0x6d, 0xa5, 0x3a, 0xcb, 0xb0, 0x09, 0x8d,
	0xa9, 0x79, 0x49, 0xa1, 0x48, 0xe8, 0x19, 0x78, 0x01, 0x94, 0xd0, 0x24, 0x31, 0x2f, 0xe4, 0x8d,
	0x90, 0x4a, 0xd3, 0x3b, 0xf0, 0x02, 0x6b, 0xf8, 0x5f, 0x82, 0x47, 0xf1, 0xab, 0x02, 0x1b, 0xb5,
	0x02, 0x47, 0xe0, 0x5d, 0x46, 0xd3, 0xa2, 0xac, 0xda, 0x1a, 0xfe, 0x4f, 0xd0, 0x2f, 0x17, 0xa9,
	0x51, 0xea, 0x78, 0x61, 0xfd, 0xee, 0xad, 0x6e, 0xa8, 0x5d, 0x20, 0x6b, 0x97, 0xef, 0xef, 0x0d,
	0x18, 0x54, 0x3b, 0xd3, 0x04, 0x5f, 0xbe, 0xe0, 0x8e, 0x17, 0x16, 0xf0, 0x7f, 0xa5, 0xfc, 0xdf,
	0x2b, 0xf0, 0xe8, 0xcf, 0x16, 0xdc, 0x73, 0x1c, 0x36, 0xe2, 0x4b, 0x94, 0x97, 0x22, 0x46, 0xc5,
	0x7e, 0x80, 0xc1, 0x4b, 0x1d, 0x49, 0xed, 0x96, 0x32, 0x7b, 0xb0, 0x22, 0x17, 0xab, 0xd7, 0xee,
	0xc7, 0xab, 0xdc, 0xb6, 0x64, 0x7f, 0x83, 0xbd, 0x80, 0x2d, 0x3b, 0xd7, 0x78, 0x6b, 0x21, 0x13,
	0x18, 0x3f, 0x43, 0x4d, 0xbf, 0x47, 0xea, 0xe4, 0xba, 0xfe, 0xf3, 0xf1, 0x2f, 0xa1, 0x1f, 0xad,
	0x0f, 0x5d, 0x8b, 0xe4, 0x6f, 0xb0, 0xef, 0xa0, 0xf3, 0x0c, 0xf5, 0xab, 0x5c, 0xbe, 0xfb, 0xf0,
	0x8c, 0x7f, 0x81, 0x61, 0x2d, 0xe3, 0xc9, 0xe9, 0x6d, 0x26, 0x7a, 0x24, 0x60, 0x87, 0x16, 0xcb,
	0x8d, 0x4e, 0x06, 0xd0, 0x71, 0xc2, 0xb3, 0xfd, 0xb5, 0x6c, 0x66, 0xae, 0x76, 0xfd, 0xf5, 0x8c,
	0xe6, 0x8c, 0xbf, 0x71, 0x32, 0xfe, 0x79, 0xe9, 0xbf, 0x6b, 0xaf, 0x37, 0xe9, 0xcf, 0x93, 0x7f,
	0x02, 0x00, 0x00, 0xff, 0xff, 0xf8, 0xfe, 0x60, 0x9f, 0xff, 0x09, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ProcessEngineServicesClient is the client API for ProcessEngineServices service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ProcessEngineServicesClient interface {
	StartProcess(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	ExecuteProcess(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	GetTokensByProcessUser(ctx context.Context, in *Request, opts ...grpc.CallOption) (*ResponseProcessUser, error)
	GetWork(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error)
	GetTokensByID(ctx context.Context, in *Request, opts ...grpc.CallOption) (*ResponseProcessUser, error)
}

type processEngineServicesClient struct {
	cc grpc.ClientConnInterface
}

func NewProcessEngineServicesClient(cc grpc.ClientConnInterface) ProcessEngineServicesClient {
	return &processEngineServicesClient{cc}
}

func (c *processEngineServicesClient) StartProcess(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/process_engine_proto.processEngineServices/StartProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processEngineServicesClient) ExecuteProcess(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/process_engine_proto.processEngineServices/ExecuteProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processEngineServicesClient) GetTokensByProcessUser(ctx context.Context, in *Request, opts ...grpc.CallOption) (*ResponseProcessUser, error) {
	out := new(ResponseProcessUser)
	err := c.cc.Invoke(ctx, "/process_engine_proto.processEngineServices/GetTokensByProcessUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processEngineServicesClient) GetWork(ctx context.Context, in *Request, opts ...grpc.CallOption) (*Response, error) {
	out := new(Response)
	err := c.cc.Invoke(ctx, "/process_engine_proto.processEngineServices/GetWork", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *processEngineServicesClient) GetTokensByID(ctx context.Context, in *Request, opts ...grpc.CallOption) (*ResponseProcessUser, error) {
	out := new(ResponseProcessUser)
	err := c.cc.Invoke(ctx, "/process_engine_proto.processEngineServices/GetTokensByID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ProcessEngineServicesServer is the server API for ProcessEngineServices service.
type ProcessEngineServicesServer interface {
	StartProcess(context.Context, *Request) (*Response, error)
	ExecuteProcess(context.Context, *Request) (*Response, error)
	GetTokensByProcessUser(context.Context, *Request) (*ResponseProcessUser, error)
	GetWork(context.Context, *Request) (*Response, error)
	GetTokensByID(context.Context, *Request) (*ResponseProcessUser, error)
}

// UnimplementedProcessEngineServicesServer can be embedded to have forward compatible implementations.
type UnimplementedProcessEngineServicesServer struct {
}

func (*UnimplementedProcessEngineServicesServer) StartProcess(ctx context.Context, req *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method StartProcess not implemented")
}
func (*UnimplementedProcessEngineServicesServer) ExecuteProcess(ctx context.Context, req *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ExecuteProcess not implemented")
}
func (*UnimplementedProcessEngineServicesServer) GetTokensByProcessUser(ctx context.Context, req *Request) (*ResponseProcessUser, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTokensByProcessUser not implemented")
}
func (*UnimplementedProcessEngineServicesServer) GetWork(ctx context.Context, req *Request) (*Response, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetWork not implemented")
}
func (*UnimplementedProcessEngineServicesServer) GetTokensByID(ctx context.Context, req *Request) (*ResponseProcessUser, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTokensByID not implemented")
}

func RegisterProcessEngineServicesServer(s *grpc.Server, srv ProcessEngineServicesServer) {
	s.RegisterService(&_ProcessEngineServices_serviceDesc, srv)
}

func _ProcessEngineServices_StartProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessEngineServicesServer).StartProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/process_engine_proto.processEngineServices/StartProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessEngineServicesServer).StartProcess(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessEngineServices_ExecuteProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessEngineServicesServer).ExecuteProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/process_engine_proto.processEngineServices/ExecuteProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessEngineServicesServer).ExecuteProcess(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessEngineServices_GetTokensByProcessUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessEngineServicesServer).GetTokensByProcessUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/process_engine_proto.processEngineServices/GetTokensByProcessUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessEngineServicesServer).GetTokensByProcessUser(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessEngineServices_GetWork_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessEngineServicesServer).GetWork(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/process_engine_proto.processEngineServices/GetWork",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessEngineServicesServer).GetWork(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProcessEngineServices_GetTokensByID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Request)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProcessEngineServicesServer).GetTokensByID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/process_engine_proto.processEngineServices/GetTokensByID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProcessEngineServicesServer).GetTokensByID(ctx, req.(*Request))
	}
	return interceptor(ctx, in, info, handler)
}

var _ProcessEngineServices_serviceDesc = grpc.ServiceDesc{
	ServiceName: "process_engine_proto.processEngineServices",
	HandlerType: (*ProcessEngineServicesServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "StartProcess",
			Handler:    _ProcessEngineServices_StartProcess_Handler,
		},
		{
			MethodName: "ExecuteProcess",
			Handler:    _ProcessEngineServices_ExecuteProcess_Handler,
		},
		{
			MethodName: "GetTokensByProcessUser",
			Handler:    _ProcessEngineServices_GetTokensByProcessUser_Handler,
		},
		{
			MethodName: "GetWork",
			Handler:    _ProcessEngineServices_GetWork_Handler,
		},
		{
			MethodName: "GetTokensByID",
			Handler:    _ProcessEngineServices_GetTokensByID_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "shared/process_engine/proto/process_engine.proto",
}

// RulesEngineServicesClient is the client API for RulesEngineServices service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type RulesEngineServicesClient interface {
	Execute(ctx context.Context, in *RequestRule, opts ...grpc.CallOption) (*ResponseRule, error)
}

type rulesEngineServicesClient struct {
	cc grpc.ClientConnInterface
}

func NewRulesEngineServicesClient(cc grpc.ClientConnInterface) RulesEngineServicesClient {
	return &rulesEngineServicesClient{cc}
}

func (c *rulesEngineServicesClient) Execute(ctx context.Context, in *RequestRule, opts ...grpc.CallOption) (*ResponseRule, error) {
	out := new(ResponseRule)
	err := c.cc.Invoke(ctx, "/process_engine_proto.rulesEngineServices/Execute", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RulesEngineServicesServer is the server API for RulesEngineServices service.
type RulesEngineServicesServer interface {
	Execute(context.Context, *RequestRule) (*ResponseRule, error)
}

// UnimplementedRulesEngineServicesServer can be embedded to have forward compatible implementations.
type UnimplementedRulesEngineServicesServer struct {
}

func (*UnimplementedRulesEngineServicesServer) Execute(ctx context.Context, req *RequestRule) (*ResponseRule, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Execute not implemented")
}

func RegisterRulesEngineServicesServer(s *grpc.Server, srv RulesEngineServicesServer) {
	s.RegisterService(&_RulesEngineServices_serviceDesc, srv)
}

func _RulesEngineServices_Execute_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RequestRule)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RulesEngineServicesServer).Execute(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/process_engine_proto.rulesEngineServices/Execute",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RulesEngineServicesServer).Execute(ctx, req.(*RequestRule))
	}
	return interceptor(ctx, in, info, handler)
}

var _RulesEngineServices_serviceDesc = grpc.ServiceDesc{
	ServiceName: "process_engine_proto.rulesEngineServices",
	HandlerType: (*RulesEngineServicesServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Execute",
			Handler:    _RulesEngineServices_Execute_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "shared/process_engine/proto/process_engine.proto",
}
